<?php
// Get helper instance for web forms. This will add the opening form-tag to
// the helper's render cache which is simply a small variable in the class
// BaseHelper.
$helper = WebFormHelper::createWebFormHelper($this, "resend_link");

// Pre-fetch field data with a given registry key
$helper->prefetchValueInstance('user');

// Add submit button or notice
if ($helper->ifUserAccountUnconfirmed()) {
	// Add submit button
	$helper->addInputHiddenFieldWithDefault('email');
	$helper->addInputSubmitButton("Best&auml;tigungslink erneut aussenden");
} elseif ($helper->ifUserAccountLocked()) {
	// Account is locked
	$helper->addFormNote('status_locked', "Dein Account wurde gesperrt! Grund der Sperre:
		<span id=\"lock_reason\">".$helper->getValueField('lock_reason')."</span>
		Bitte melde dich beim Support, damit dieser dir weiterhelfen kann."
	);
} elseif ($helper->ifUserAccountGuest()) {
	// Account is guest account
	$helper->addFormNote('status_guest', "G&auml;steaccounts sind in der Funktionalit&auml;t
		leicht eingeschr&auml;nkt. Bitte melde dich an, damit du ein
		vollwertiges Account bekommst."
	);
}

// Flush content and automatically close the form
$helper->flushContent();

if ($helper->ifUserAccountUnconfirmed()) {
	// Build the form for confirmation
	$helper = WebFormHelper::createWebFormHelper($this, "confirm_code");

	// Add code box
	$helper->addFormGroup('code', "Bitte gebe hier den Best&auml;tigungscode aus der Willkommensemail ein. Solltest du diese nicht erhalten haben, kannst du dir diesen jetzt zusenden lassen.");
	$helper->addFieldText('code', "Best&auml;tigungscode aus der Mail:");
	$helper->addInputTextField('code');

	// Add submit button
	$helper->addFormGroup('buttons', "Bitte einmal abschicken und das Ergebnis abwarten!");
	$helper->addInputResetButton("Nochmal eingeben");
	$helper->addInputSubmitButton("Best&auml;tigungscode absenden");

	// Flush content and automatically close the form
	$helper->flushContent();
} // END - if
?>
<div id="content_header">
	Problem mit deinem Account gefunden:
</div>

<div id="status_box">
	Du bist m&ouml;glicherweise f&uuml;r deine ausgew&auml;hlte Aktion nicht
	berechtigt oder du hast noch deine Email-Adresse nicht best&auml;tigt. Du
	kannst dir nun den Best&auml;tigungslink erneut aussenden lassen, oder den
	Best&auml;tigungscode unten eingeben.

	<div id="resend_link_box">
		{?resend_link?}
	</div>

	<div id="confirm_code_box">
		{?confirm_code?}
	</div>
</div>
